Subject: Re: [PATCH] Add ability to specify environment extension to run_command

From: Martin Waitz <[email-masked]>
Date: Tue, 22 May 2007 08:03:02 +0200

hoi :)

On Mon, May 21, 2007 at 04:02:42PM -0700, Junio C Hamano wrote:
> I had a feeling that some callers needed to be able to unsetenv
> some.  How would this patch help them, or are they outside of
> the scope?

At first I had the same objection but the putenv documentation
told me that at least in glibc you can unsetenv by providing
the variable name without a "=".

But perhaps we should check for other systems?

-- 
Martin Waitz